Subject: Re: [idn] Re: REORDERING: stability issues and UTC solutions

From: [email-masked]
Date: Sun, 21 Oct 2001 23:15:45 EDT

In a message dated 2001-10-21 18:55:09 Pacific Daylight Time, 
[email-masked] writes:

>  We have no TAGALOG characters X,Y now. 
>  After we finalized nameprep/ACE,
>  TAGALOG script may be added to Unicode.
>  Then,
>
>  > My  question was that:
>  >   1) newly-approved TAGALOG characters X,Y  have   NFC X -> Y,
>  >   2) old Nameprep/ACE encodes X.com and Y.com as two distinct ACE labels,

The point that I still don't think Soobok is getting is that his scenario (1) 
is not going to happen.  Everything he said from that point forward, 
including the lengthy quote from the stringprep document, has to do with 
assigned code points and unassigned code points, not with newly created 
compatibility variants -- and for good reason: there aren't going to be any.

The Tagalog characters that are proposed for inclusion in Unicode 3.2 are 
presented in chart form at:

    http://www.unicode.org/charts/draftunicode32/U32-1700.pdf

and will probably be added soon to the draft Unicode 3.2 data file at:

    http://www.unicode.org/Public/BETA/Unicode3.2/UnicodeData-3.2.0d1.txt

It might be a good idea to peruse these resources and verify for oneself that 
they do not contain any characters that are compatibility forms of other 
characters or combinations of characters.  Of course, nobody can predict the 
future with 100% accuracy but there are lots of good hints that the scenario 
"newly-approved 'S' characters X,Y  have   NFC X -> Y" for any script 'S' is 
simply not ever going to happen.

And in any event, by this point I have completely lost how this affects the 
case for reordering.

-Doug Ewell
 Fullerton, California

---

From: "Soobok Lee" <[email-masked]>
Date: Tue, 23 Oct 2001 00:41:23 +0900

----- Original Message ----- 
From: <[email-masked]>
> simply not ever going to happen.
 
Instead of NFC, some script may need CASE mappings, i guess.
Current nameprep/ACE produce case-insensitively equivalent labels
for IDN  X.com and x.com.
Do you mean that all newly added SCRIPT won't have any case mapping ?

Doug, 
If you have lists of new scripts pending for approval,
please post them to this list for non-unicode experts.

Soobok Lee

---

From: "Kenny Huang" <[email-masked]>
Date: Tue, 23 Oct 2001 09:34:33 +0800

We had very extensive discussion regarding SCRIPT case mapping in
JET meeting last week. Script case mapping would be very important.
CNNIC and TWNIC will propose drafts to address these issues soon.

Kenny Huang

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On 
> Behalf Of Soobok Lee
> Sent: Monday, October 22, 2001 11:41 PM
> To: [email-masked]; [email-masked]
> Subject: Re: [idn] Re: REORDERING: stability issues and UTC solutions
> 
> 
>